import { defineComponent, computed, createElementBlock, openBlock, normalizeClass, unref, createElementVNode, renderSlot } from "vue";
import useActive, { activeProps } from "../../composables/useActive/index.js";
import useDisabled, { disabledProps } from "../../composables/useDisabled/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _hoisted_1 = { class: "blink-text" }, _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "BLink",
  props: {
    ...activeProps,
    ...disabledProps
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      useActive(props.active).activeClass.value,
      useDisabled(props.disabled).disabledClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("a", {
      class: normalizeClass(["blink-link", unref(classes)]),
      href: "#"
    }, [
      createElementVNode("span", _hoisted_1, [
        renderSlot(_ctx.$slots, "default", {}, void 0, !0)
      ])
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=BLink.vue2.js.map
